test-job:
    services:
        - name: mysql:latest
          alias: mysql
          variables: 
              MYSQL_ROOT_PASSWORD: root
              MYSQL_DATABASE: test

    variables:
        DB_HOST: mysql
        DB_USERNAME: root
        DB_PASSWORD: root
        DB_NAME: test
    image: python:3.9.12-slim
    before_script:
        - pip install mysql-connector-python
    script:
        - python main.py
